import { Component ,Inject,ViewChild} from '@angular/core';
import { DataSvc } from '../services/DataSvc';

import * as wjCore from 'wijmo/wijmo';
import * as wjGrid from 'wijmo/wijmo.grid';
import * as wjInput from 'wijmo/wijmo.input';


@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.css']
})
export class AppComponent {
    public data: wjCore.CollectionView;
    public countries: any[];
    private _dataSvc: DataSvc;
    
    constructor( @Inject(DataSvc) _dataSvc: DataSvc) {
        this._dataSvc = _dataSvc;        
        this.countries = this._dataSvc.getCountries();   
        this.data= new wjCore.CollectionView(this._dataSvc.getData(15));     
    
    }
    columns=["id",'country','amount'];
    
    beginEdit(s:wjGrid.FlexGrid,e:wjGrid.CellRangeEventArgs){
        s.rows[e.row].height=200;
        s.columns[e.col].width=200;
    }
    cellEditEnded(s:wjGrid.FlexGrid,e:wjGrid.CellRangeEventArgs){
        s.autoSizeRow(e.row);
        //s.autoSizeColumn(e.col);
        s.columns[e.col].width=104;
    }
}
